Bug 170511 - Review Request: perl-Cflow - find flows in flow files
Review Request: perl-Cflow - find flows in flow files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://www.cora.nwra.com/~orion/fedora/
:
Depends On: 171206
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-12 10:28 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-19 11:38:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-10-12 10:28:18 EDT
Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/perl-Cflow.spec
SRPM Name or Url: http://www.cora.nwra.com/~orion/fedora/perl-Cflow-1.053-1.src.rpm
Description: 

Cflow with flow-tools support.  This module implements an API for
processing IP flow accounting information which as been collected from
routers and written into flow files.
Comment 1 Paul Howarth 2005-10-19 10:25:26 EDT
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is GPL, matches spec, text included
- spec file written in English and is legible
- sources match upstream
- package builds OK on FC4 (i386)
- BR's mostly OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions problems
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop entry needed
- no scriptlets
- package gives impression of running OK (flowdumper -h works as expected)

Nitpick:

- please capitalize the first letter of Summary:

- BR: perl is redundant as perl is a dep of rpm-build

Suggestion:

- package currently fails to build in mock due to Bug 171206
  you could work around this for now by adding a BR of zlib-devel

Approved.
Comment 2 Orion Poplawski 2005-10-19 11:38:15 EDT
Build on devel succeeded.

Note You need to log in before you can comment on or make changes to this bug.